#include "SgfNode.h"
#include <gtkmm.h>

class OpenGameDialog: public Gtk::FileChooserDialog
{
public:
    OpenGameDialog(BaseObjectType* cobject, const Glib::RefPtr<Gtk::Builder>& refBuilder);
    bool AsProblem() const {return m_asproblem;}
private:
    void on_open();
	void on_cancel();
    Glib::RefPtr<Gtk::Builder> m_refBuilder;
    bool m_asproblem;
};
