#include "AskPlayerDialog.h"

AskPlayerDialog::AskPlayerDialog(BaseObjectType* cobject, const Glib::RefPtr<Gtk::Builder>& refBuilder)
    :Gtk::Dialog(cobject), m_refBuilder(refBuilder), m_black(true)
{
    Gtk::Button *button_ok=0;
    Gtk::RadioButton *radiobutton_black=0, *radiobutton_white=0;
    m_refBuilder->get_widget("askplaybutton_ok",button_ok);
    m_refBuilder->get_widget("radiobutton_askplayer_black",radiobutton_black);
    m_refBuilder->get_widget("radiobutton_askplayer_white",radiobutton_white);
    button_ok->signal_clicked().connect(sigc::mem_fun(this,&AskPlayerDialog::on_ok));
    Gtk::RadioButton::Group group = radiobutton_black->get_group();
    radiobutton_white->set_group(group);
    radiobutton_black->set_active(true);
}

void AskPlayerDialog::on_ok()
{
    Gtk::RadioButton *radiobutton_black=0;
    m_refBuilder->get_widget("radiobutton_askplayer_black",radiobutton_black);
    m_black=radiobutton_black->get_active();
    response(Gtk::RESPONSE_OK);
}
